## ignition-sensors 6.1.0+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-sensors6 VERSION 6.1.0)

#============================================================================
# Find ignition-cmake
#============================================================================
find_package(ignition-cmake2 2.8.0 REQUIRED)

#============================================================================
# Configure the project
#============================================================================
ign_configure_project(VERSION_SUFFIX)

#============================================================================
# Set project-specific options
#============================================================================
set (DRI_TESTS TRUE CACHE BOOL "True to enable DRI tests")

option(ENABLE_PROFILER "Enable Ignition Profiler" FALSE)

if(ENABLE_PROFILER)
  add_definitions("-DIGN_PROFILER_ENABLE=1")
else()
  add_definitions("-DIGN_PROFILER_ENABLE=0")
endif()

#============================================================================
# Search for project-specific dependencies
#============================================================================
message(STATUS "\n\n-- ====== Finding Dependencies ======")

#--------------------------------------
# Find Protobuf
set(REQ_PROTOBUF_VER 3)
ign_find_package(IgnProtobuf
                 VERSION ${REQ_PROTOBUF_VER}
                 REQUIRED
                 PRETTY Protobuf)

#--------------------------------------
# Find ignition-math
ign_find_package(ignition-math6 REQUIRED VERSION 6.6)
set(IGN_MATH_VER ${ignition-math6_VERSION_MAJOR})

#--------------------------------------
# Find ignition-common
ign_find_package(ignition-common4
                 COMPONENTS profiler
                 REQUIRED)
set(IGN_COMMON_VER ${ignition-common4_VERSION_MAJOR})

#--------------------------------------
# Find ignition-transport
ign_find_package(ignition-transport11 REQUIRED)
set(IGN_TRANSPORT_VER ${ignition-transport11_VERSION_MAJOR})

#--------------------------------------
# Find ignition-rendering
ign_find_package(ignition-rendering6 REQUIRED OPTIONAL_COMPONENTS ogre ogre2)
set(IGN_RENDERING_VER ${ignition-rendering6_VERSION_MAJOR})

if (TARGET ignition-rendering${IGN_RENDERING_VER}::ogre)
  set(HAVE_OGRE TRUE)
  add_definitions(-DWITH_OGRE)
endif()

if (TARGET ignition-rendering${IGN_RENDERING_VER}::ogre2)
  set(HAVE_OGRE2 TRUE)
  add_definitions(-DWITH_OGRE2)
endif()

#--------------------------------------
# Find ignition-msgs
ign_find_package(ignition-msgs8 REQUIRED VERSION 8.2)
set(IGN_MSGS_VER ${ignition-msgs8_VERSION_MAJOR})

#--------------------------------------
# Find SDFormat
ign_find_package(sdformat12 REQUIRED)
set(SDF_VER ${sdformat12_VERSION_MAJOR})

set(IGN_SENSORS_PLUGIN_PATH ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})

#============================================================================
# Configure the build
#============================================================================
ign_configure_build(QUIT_IF_BUILD_ERRORS)

#============================================================================
# Create package information
#============================================================================
ign_create_packages()

#============================================================================
# Configure documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)

ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md")

if(TARGET doc)
  file(COPY ${CMAKE_SOURCE_DIR}/tutorials/files/ DESTINATION ${CMAKE_BINARY_DIR}/doxygen/html/files/)
endif()

=== doc/CMakeLists.txt ===
find_package(Doxygen)

set(IGNITION_DOXYGEN_TAGFILES
  "\"${IGNITION-MATH_DOXYGEN_TAGFILE} = ${IGNITION-MATH_API_URL}\" \
   \"${IGNITION-MSGS_DOXYGEN_TAGFILE} = ${IGNITION-MSGS_API_URL}\" \
   \"${IGNITION-TRANSPORT_DOXYGEN_TAGFILE} = ${IGNITION-TRANSPORT_API_URL}\" \
   \"${IGNITION-COMMON_DOXYGEN_TAGFILE} = ${IGNITION-COMMON_API_URL}\""
)

if (DOXYGEN_FOUND)
  configure_file(${IGNITION_CMAKE_DOXYGEN_DIR}/api.in
                 ${CMAKE_BINARY_DIR}/api.dox @ONLY)

  configure_file(${IGNITION_CMAKE_DOXYGEN_DIR}/tutorials.in
                 ${CMAKE_BINARY_DIR}/tutorials.dox @ONLY)

  add_custom_target(doc ALL
    # Generate the API documentation
    ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/api.dox
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}

    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/tutorials.dox

    COMMENT "Generating API documentation with Doxygen" VERBATIM)

  install(FILES ${CMAKE_BINARY_DIR}/doc/${PROJECT_NAME_LOWER}.tag.xml 
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/ignition/${PROJECT_NAME_LOWER}_${PROJECT_VERSION_MINOR})
endif()

=== src/CMakeLists.txt ===
set (sources
  Manager.cc
  Sensor.cc
  Noise.cc
  GaussianNoiseModel.cc
  PointCloudUtil.cc
  SensorFactory.cc
  SensorTypes.cc
  Util.cc
)

set(rendering_sources
  RenderingSensor.cc
  RenderingEvents.cc
  ImageGaussianNoiseModel.cc
  ImageNoise.cc
)

set (gtest_sources
  Manager_TEST.cc
  Noise_TEST.cc
  Sensor_TEST.cc
  Util_TEST.cc
)

if (MSVC)
  # TODO(louise) Remove this once warnings are suppressed in ign-rendering
  set_source_files_properties(
      ${rendering_sources}
    COMPILE_FLAGS "/wd4251"
  )
endif()

# Create the library target.
ign_create_core_library(SOURCES ${sources} CXX_STANDARD 14)

target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME}
  PUBLIC
    ignition-math${IGN_MATH_VER}::ignition-math${IGN_MATH_VER}
    ignition-common${IGN_COMMON_VER}::ignition-common${IGN_COMMON_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
    sdformat${SDF_VER}::sdformat${SDF_VER}
  PRIVATE
    ignition-common${IGN_COMMON_VER}::profiler
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
)
target_compile_definitions(${PROJECT_LIBRARY_TARGET_NAME} PUBLIC DepthPoints_EXPORTS)

ign_add_component(rendering SOURCES ${rendering_sources} GET_TARGET_NAME rendering_target)
target_link_libraries(${rendering_target}
  PUBLIC
    ignition-rendering${IGN_RENDERING_VER}::ignition-rendering${IGN_RENDERING_VER}
)

set(camera_sources CameraSensor.cc)
ign_add_component(camera SOURCES ${camera_sources} GET_TARGET_NAME camera_target)
# custom compile definitions since the one provided automatically is versioned and will
# make the code need to change with every major version
target_compile_definitions(${camera_target} PUBLIC CameraSensor_EXPORTS)
target_link_libraries(${camera_target}
  PUBLIC
    ${rendering_target}
  PRIVATE
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

set(depth_camera_sources DepthCameraSensor.cc)
ign_add_component(depth_camera SOURCES ${depth_camera_sources} GET_TARGET_NAME depth_camera_target)
target_compile_definitions(${depth_camera_target} PUBLIC DepthCameraSensor_EXPORTS)
target_link_libraries(${depth_camera_target}
  PRIVATE
    ${camera_target}
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

set(lidar_sources Lidar.cc)
ign_add_component(lidar SOURCES ${lidar_sources} GET_TARGET_NAME lidar_target)
target_compile_definitions(${lidar_target} PUBLIC Lidar_EXPORTS)
target_link_libraries(${lidar_target}
  PUBLIC
    ${rendering_target}
  PRIVATE
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

set(gpu_lidar_sources GpuLidarSensor.cc)
ign_add_component(gpu_lidar SOURCES ${gpu_lidar_sources} GET_TARGET_NAME gpu_lidar_target)
target_compile_definitions(${gpu_lidar_target} PUBLIC GpuLidarSensor_EXPORTS)
target_link_libraries(${gpu_lidar_target}
  PRIVATE
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
    ${lidar_target}
)

set(logical_camera_sources LogicalCameraSensor.cc)
ign_add_component(logical_camera SOURCES ${logical_camera_sources} GET_TARGET_NAME logical_camera_target)
target_compile_definitions(${logical_camera_target} PUBLIC LogicalCameraSensor_EXPORTS)
target_link_libraries(${logical_camera_target}
  PRIVATE
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

set(magnetometer_sources MagnetometerSensor.cc)
ign_add_component(magnetometer SOURCES ${magnetometer_sources} GET_TARGET_NAME magnetometer_target)

set(imu_sources ImuSensor.cc)
ign_add_component(imu SOURCES ${imu_sources} GET_TARGET_NAME imu_target)

set(force_torque_sources ForceTorqueSensor.cc)
ign_add_component(force_torque SOURCES ${force_torque_sources} GET_TARGET_NAME force_torque_target)

set(altimeter_sources AltimeterSensor.cc)
ign_add_component(altimeter SOURCES ${altimeter_sources} GET_TARGET_NAME altimeter_target)

set(air_pressure_sources AirPressureSensor.cc)
ign_add_component(air_pressure SOURCES ${air_pressure_sources} GET_TARGET_NAME air_pressure_target)

set(navsat_sources NavSatSensor.cc)
ign_add_component(navsat SOURCES ${navsat_sources} GET_TARGET_NAME navsat_target)

set(rgbd_camera_sources RgbdCameraSensor.cc)
ign_add_component(rgbd_camera SOURCES ${rgbd_camera_sources} GET_TARGET_NAME rgbd_camera_target)
target_compile_definitions(${rgbd_camera_target} PUBLIC RgbdCameraSensor_EXPORTS)
target_link_libraries(${rgbd_camera_target}
  PRIVATE
    ${camera_target}
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

set(thermal_camera_sources ThermalCameraSensor.cc)
ign_add_component(thermal_camera SOURCES ${thermal_camera_sources} GET_TARGET_NAME thermal_camera_target)
target_link_libraries(${thermal_camera_target}
  PRIVATE
    ${camera_target}
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

set(segmentation_camera_sources SegmentationCameraSensor.cc)
ign_add_component(segmentation_camera SOURCES ${segmentation_camera_sources} GET_TARGET_NAME segmentation_camera_target)
target_compile_definitions(${segmentation_camera_target} PUBLIC SegmentationCameraSensor_EXPORTS)
target_link_libraries(${segmentation_camera_target}
  PRIVATE
    ${camera_target}
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

# Build the unit tests.
ign_build_tests(TYPE UNIT SOURCES ${gtest_sources} LIB_DEPS ${rendering_target})

# Build the unit tests that depend on components.
ign_build_tests(TYPE UNIT SOURCES Lidar_TEST.cc LIB_DEPS ${lidar_target})
ign_build_tests(TYPE UNIT SOURCES Camera_TEST.cc LIB_DEPS ${camera_target})
ign_build_tests(TYPE UNIT SOURCES ImuSensor_TEST.cc LIB_DEPS ${imu_target})

=== test/CMakeLists.txt ===
include_directories (
  ${PROJECT_SOURCE_DIR}/test/gtest/include
  ${PROJECT_SOURCE_DIR}/test/gtest
  ${PROJECT_SOURCE_DIR}/test
)

configure_file (test_config.h.in ${PROJECT_BINARY_DIR}/test_config.h)

# Build gtest
add_library(gtest STATIC gtest/src/gtest-all.cc)
add_library(gtest_main STATIC gtest/src/gtest_main.cc)
target_link_libraries(gtest_main gtest)
set(GTEST_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest.a")
set(GTEST_MAIN_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest_main.a")

execute_process(COMMAND cmake -E remove_directory ${CMAKE_BINARY_DIR}/test_results)
execute_process(COMMAND cmake -E make_directory ${CMAKE_BINARY_DIR}/test_results)
include_directories(${GTEST_INCLUDE_DIRS})

add_subdirectory(integration)
add_subdirectory(performance)
add_subdirectory(regression)

=== examples/custom_sensor/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

project(odometer)

find_package(ignition-cmake2 REQUIRED)
find_package(ignition-sensors6 REQUIRED)

add_library(${PROJECT_NAME} SHARED Odometer.cc)
target_link_libraries(${PROJECT_NAME}
  PUBLIC ignition-sensors6::ignition-sensors6)

=== examples/imu_noise/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(ignition-sensors-noise-demo)

# Find the Ignition Libraries used directly by the example
find_package(ignition-sensors6 REQUIRED)

add_executable(sensor_noise main.cc)
target_link_libraries(sensor_noise PUBLIC ignition-sensors6)

=== examples/loop_sensor/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(loop_sensor)

find_package(ignition-sensors6 REQUIRED
  # Find built-in sensors
  COMPONENTS
    altimeter
)

# A simple example of how to find custom sensors
add_subdirectory(../custom_sensor odometer)

add_executable(${PROJECT_NAME} main.cc)
target_link_libraries(${PROJECT_NAME} PUBLIC
  ignition-sensors6::ignition-sensors6

  # Link to custom sensors
  odometer

  # Link to built-in sensors
  ignition-sensors6::altimeter)

=== examples/save_image/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(ignition-sensors-camera-demo)

# Find the Ignition Libraries used directly by the example
find_package(ignition-rendering6 REQUIRED OPTIONAL_COMPONENTS ogre ogre2)
find_package(ignition-sensors6 REQUIRED COMPONENTS rendering camera)

if (TARGET ignition-rendering6::ogre)
   add_definitions(-DWITH_OGRE)
endif()
if (TARGET ignition-rendering6::ogre2)
   add_definitions(-DWITH_OGRE2)
endif()

add_executable(save_image main.cc)
target_link_libraries(save_image PUBLIC
  ignition-sensors6::camera)

=== test/integration/CMakeLists.txt ===
set(TEST_TYPE "INTEGRATION")

set(dri_tests
  camera.cc
  depth_camera.cc
  gpu_lidar_sensor.cc
  rgbd_camera.cc
  thermal_camera.cc
  segmentation_camera.cc
)

set(tests
  air_pressure.cc
  altimeter.cc
  force_torque.cc
  logical_camera.cc
  magnetometer.cc
  navsat.cc
  imu.cc
)

link_directories(${PROJECT_BINARY_DIR}/test)

include_directories(${PROJECT_SOURCE_DIR}/src)

# Test symbols having the right name on linux only
if (UNIX AND NOT APPLE)
  configure_file(all_symbols_have_version.bash.in ${CMAKE_CURRENT_BINARY_DIR}/all_symbols_have_version.bash @ONLY)
  add_test(NAME INTEGRATION_versioned_symbols
    COMMAND bash ${CMAKE_CURRENT_BINARY_DIR}/all_symbols_have_version.bash $<TARGET_FILE:${PROJECT_LIBRARY_TARGET_NAME}>)
endif()

if (DRI_TESTS)
  ign_build_tests(TYPE INTEGRATION
    SOURCES
      ${dri_tests}
    LIB_DEPS
      ${IGNITION-TRANSPORT_LIBRARIES}
      ${PROJECT_LIBRARY_TARGET_NAME}-depth_camera
      ${PROJECT_LIBRARY_TARGET_NAME}-camera
      ${PROJECT_LIBRARY_TARGET_NAME}-lidar
      ${PROJECT_LIBRARY_TARGET_NAME}-gpu_lidar
      ${PROJECT_LIBRARY_TARGET_NAME}-rgbd_camera
      ${PROJECT_LIBRARY_TARGET_NAME}-thermal_camera
      ${PROJECT_LIBRARY_TARGET_NAME}-segmentation_camera
  )
endif()

ign_build_tests(TYPE INTEGRATION
  SOURCES
    ${tests}
  LIB_DEPS
    ${PROJECT_LIBRARY_TARGET_NAME}-air_pressure
    ${PROJECT_LIBRARY_TARGET_NAME}-altimeter
    ${PROJECT_LIBRARY_TARGET_NAME}-logical_camera
    ${PROJECT_LIBRARY_TARGET_NAME}-magnetometer
    ${PROJECT_LIBRARY_TARGET_NAME}-imu
    ${PROJECT_LIBRARY_TARGET_NAME}-force_torque
    ${PROJECT_LIBRARY_TARGET_NAME}-navsat
)

=== debian/changelog ===
ignition-sensors (6.1.0+ds-0ubuntu1) jammy; urgency=medium

  * Initial import (LP: #1960260)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 25 Dec 2021 22:39:03 +0000

=== debian/control ===
Source: ignition-sensors
Maintainer: Ubuntu developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               doxygen,
               pkg-config,
               debhelper-compat (= 13),
               libgtest-dev,
               libignition-cmake-dev (>= 2.0.0),
               libignition-common-dev (>= 4.0.0),
               libignition-math-dev (>= 6.6.0),
               libignition-msgs-dev (>= 8.2.0),
               libignition-plugin-dev,
               libignition-rendering-ogre1-dev,
               libignition-rendering-ogre2-dev,
               libignition-transport-dev (>= 11.0.0),
               libsdformat-dev (>= 12.0.0),
               ignition-tools
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/ignition-sensors
Homepage: https://ignitionrobotics.org/libs/sensors

Package: libignition-sensors-core-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev (>= 2.0.0),
         libignition-common-dev (>= 4.0.0),
         libignition-math-dev (>= 6.6.0),
         libignition-msgs-dev (>= 8.2.0),
         libignition-plugin-dev,
         libignition-rendering-ogre1-dev,
         libignition-rendering-ogre2-dev,
         libignition-transport-dev (>= 11.0.0),
         libsdformat-dev (>= 12.0.0),
         libignition-sensors6-6 (= ${binary:Version}),
         ${misc:Depends}
Suggests: ignition-tools
Multi-Arch: same
Description: Ignition sensors classes and functions for robot apps - Development files
 Ignition sensors is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Core development files

Package: libignition-sensors6-6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors classes and functions for robot apps - Shared library
 Ignition sensors is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.

Package: libignition-sensors-air-pressure-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev (>= 2.0.0),
         libignition-common-dev (>= 4.0.0),
         libignition-sensors-core-dev (= ${binary:Version}),
         libsdformat-dev (>= 12.0.0),
         libignition-sensors6-air-pressure6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors classes and functions for robot apps - Dev files air-pressure
 Ignition sensors is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Development files for air-pressure sensor

Package: libignition-sensors6-air-pressure6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors classes and functions for robot apps - Lib air-pressure
 Ignition sensors is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Shared library for air-pressure sensor

Package: libignition-sensors-altimeter-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev (>= 2.0.0),
         libignition-common-dev (>= 4.0.0),
         libignition-sensors-core-dev (= ${binary:Version}),
         libsdformat-dev (>= 12.0.0),
         libignition-sensors6-altimeter6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors classes and functions for robot apps - Dev files altimeter
 Ignition sensors is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Development files for altimeter sensor

Package: libignition-sensors6-altimeter6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors classes and functions for robot apps - Lib altimeter
 Ignition sensors is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Shared library for altimeter sensor


Package: libignition-sensors-camera-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev (>= 2.0.0),
         libignition-common-dev (>= 4.0.0),
         libignition-math-dev (>= 6.6.0),
         libignition-msgs-dev (>= 8.2.0),
         libignition-transport-dev (>= 11.0.0),
         libignition-sensors-core-dev (= ${binary:Version}),
         libsdformat-dev (>= 12.0.0),
         libignition-sensors6-camera6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors classes and functions for robot apps - Dev files Camera
 Ignition sensors is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Development files for Camera sensor

Package: libignition-sensors6-camera6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors classes and functions for robot apps - Lib Camera
 Ignition sensors is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Shared library for Camera sensor

Package: libignition-sensors-depth-camera-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev (>= 2.0.0),
         libignition-common-dev (>= 4.0.0),
         libignition-math-dev (>= 6.6.0),
         libignition-msgs-dev (>= 8.2.0),
         libignition-transport-dev (>= 11.0.0),
         libignition-sensors-core-dev (= ${binary:Version}),
         libignition-sensors-camera-dev (= ${binary:Version}),
         libsdformat-dev (>= 12.0.0),
         libignition-sensors6-depth-camera6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors classes and functions for robot apps - Dev files depth-camera
 Ignition sensors is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Development files for depth-camera sensor

Package: libignition-sensors6-depth-camera6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors classes and functions for robot apps - Lib depth-camera
 Ignition sensors is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Shared library for depth-camera sensor

Package: libignition-sensors-force-torque-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev (>= 2.0.0),
         libignition-common-dev (>= 4.0.0),
         libignition-math-dev (>= 6.6.0),
         libignition-sensors-core-dev (= ${binary:Version}),
         libsdformat-dev (>= 12.0.0),
         libignition-sensors6-force-torque6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors classes and functions for robot apps - Dev files force-torque
 Ignition sensors is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Development files for force-torque sensor

Package: libignition-sensors6-force-torque6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors classes and functions for robot apps - Lib force-torque
 Ignition sensors is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Shared library for force-torque sensor

Package: libignition-sensors-imu-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev (>= 2.0.0),
         libignition-common-dev (>= 4.0.0),
         libignition-math-dev (>= 6.6.0),
         libignition-sensors-core-dev (= ${binary:Version}),
         libsdformat-dev (>= 12.0.0),
         libignition-sensors6-imu6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors classes and functions for robot apps - Dev files imu
 Ignition sensors is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Development files for imu sensor

Package: libignition-sensors6-imu6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors classes and functions for robot apps - Lib imu
 Ignition sensors is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Shared library for imu sensor

Package: libignition-sensors-lidar-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev (>= 2.0.0),
         libignition-common-dev (>= 4.0.0),
         libignition-math-dev (>= 6.6.0),
         libignition-msgs-dev (>= 8.2.0),
         libignition-transport-dev (>= 11.0.0),
         libignition-sensors-core-dev (= ${binary:Version}),
         libsdformat-dev (>= 12.0.0),
         libignition-sensors6-lidar6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors classes and functions for robot apps - Dev files lidar
 Ignition sensors is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Development files for lidar sensor

Package: libignition-sensors6-lidar6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors classes and functions for robot apps - Lib lidar
 Ignition sensors is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Shared library for lidar sensor

Package: libignition-sensors-gpu-lidar-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev (>= 2.0.0),
         libignition-common-dev (>= 4.0.0),
         libignition-math-dev (>= 6.6.0),
         libignition-msgs-dev (>= 8.2.0),
         libignition-transport-dev (>= 11.0.0),
         libignition-sensors-core-dev (= ${binary:Version}),
         libignition-sensors-lidar-dev (= ${binary:Version}),
         libsdformat-dev (>= 12.0.0),
         libignition-sensors6-gpu-lidar6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors classes and functions for robot apps - Dev files gpu-lidar
 Ignition sensors is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Development files for gpu-lidar sensor

Package: libignition-sensors6-gpu-lidar6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors classes and functions for robot apps - Lib gpu-lidar
 Ignition sensors is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Shared library for gpu-lidar sensor

Package: libignition-sensors-logical-camera-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev (>= 2.0.0),
         libignition-common-dev (>= 4.0.0),
         libignition-math-dev (>= 6.6.0),
         libignition-msgs-dev (>= 8.2.0),
         libignition-transport-dev (>= 11.0.0),
         libignition-sensors-core-dev (= ${binary:Version}),
         libsdformat-dev (>= 12.0.0),
         libignition-sensors6-logical-camera6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors classes and functions for robot apps - Dev files logical-camera
 Ignition sensors is a component in the ignition framework, a set of libraries

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install --
	# need to remove files present in components
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/AirPressure*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Altimeter*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Camera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/DepthCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/GpuLidarSensor*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/ForceTorque*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Imu*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Lidar*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/LogicalCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Magnetometer*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/NavSat*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/SegmentationCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/ThermalCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Rendering*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/RgbdCamera*.hh

# test require an accelerated hardware
override_dh_auto_test:
	true

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
    dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,repacksuffix=+ds \
    https://github.com/ignitionrobotics/ign-sensors/tags \
		(?:.*?/)@PACKAGE@.*_(\d[\d.]*)\.tar\.gz
